package com.zzsn.knowbase.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zzsn.knowbase.entity.AiReportScienceFile;
import com.zzsn.knowbase.vo.AiReportScienceFileVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @Version: V1.0
 */
public interface IAiReportScienceFileService extends IService<AiReportScienceFile> {
    public Boolean uploadAiMaterial(AiReportScienceFile aiReportScienceFile, HttpServletRequest request) throws Exception;


    IPage<AiReportScienceFile> queryPageList(AiReportScienceFileVo aiReportScienceFileVo, Integer pageNo, Integer pageSize, String column, String order);

    IPage<Map<String, Object>> suggestContent(String text, String type, Integer pageNo, Integer pageSize);

    Map<String,Object> getContextByTextId(String textId);

    void deleteDataByFileId(String id);

    List<String> getAuditPersonList();

}
